PPIx::QuoteLike::Token::Unknown(3pm)

NAME
PPIx::QuoteLike::Token::Unknown - An unknown token

SYNOPSIS
This class should not be instantiated by the user. See below for public methods.

INHERITANCE
"PPIx::QuoteLike::Token::Unknown" is a PPIx::QuoteLike::Token.

"PPIx::QuoteLike::Token::Unknown" has no descendants.

DESCRIPTION
Perl class represents something that could not be identified by the parser. It should not appear in an object that represents valid Perl.

METHODS
This class supports no public methods in addition to those of its superclass.

SEE ALSO
PPIx::QuoteLike::Token.

SUPPORT
Support is by the author. Please file bug reports at <https://github.com/trwyant/perl-PPIx-QuoteLike/issues> or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III harryfmudd at comcast dot net

COPYRIGHT AND LICENSE
Copyright (C) 2016-2022, 2026 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the files LICENSE-Artistic and LICENSE-GPL.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.